Package org.eclipse.birt.chart.computation

# Class LegendItemRenderingHints

java.lang.Object
org.eclipse.birt.chart.computation.LegendItemRenderingHints

public final class LegendItemRenderingHints extends Object
LegendItemRenderingHints

## Constructor Summary

Constructors
Constructor
Description
`LegendItemRenderingHints(BaseRenderer _br, Bounds _boLegendGraphic)`

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`getLegendGraphicBounds()`
`BaseRenderer`
`getRenderer()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegendItemRenderingHints

public LegendItemRenderingHints(BaseRenderer _br, Bounds _boLegendGraphic)

Parameters:
  `_boLegendGraphic` -
  `_seModel` -

## Method Details

### getRenderer

public BaseRenderer getRenderer()

Returns:

### getLegendGraphicBounds

public Bounds getLegendGraphicBounds()

Returns: